const builtinFunctions = [
  'fullHostName',
  'FQDN',
  'arrayReduceInRanges',
  'empty',
  'toStartOfQuarter',
  'polygonsEqualsCartesian',
  'h3GetPentagonIndexes',
  'JSON_VALUE',
  'toIntervalYear',
  'toIntervalHour',
  'toIntervalMinute',
  'toIntervalMillisecond',
  'parseDateTime64BestEffortUSOrZero',
  'parseDateTime64BestEffortOrZero',
  'parseDateTime64BestEffort',
  'parseDateTime32BestEffort',
  'parseDateTimeBestEffortOrNull',
  'parseDateTimeBestEffortOrZero',
  'toUUIDOrNull',
  'parseDateTimeBestEffort',
  'toDecimal128OrNull',
  'toDecimal64OrNull',
  'toDecimal32OrNull',
  'toDateTimeOrNull',
  'toDate32OrNull',
  'toDateOrNull',
  'toFloat64OrNull',
  'toInt256OrNull',
  'toInt128OrNull',
  'toInt64OrNull',
  'toUInt128OrNull',
  'toUInt64OrNull',
  'toUInt8OrNull',
  'toDecimal256OrZero',
  'toDecimal64OrZero',
  'toDecimal32OrZero',
  'toDate32OrZero',
  'toDateOrZero',
  'toFloat64OrZero',
  'toFloat32OrZero',
  'toInt128OrZero',
  'toInt64OrZero',
  'toInt32OrZero',
  'toInt16OrZero',
  'toUInt128OrZero',
  'toUInt32OrZero',
  'toString',
  'toDateTime',
  'toDecimal128',
  'toDecimal64',
  'toFloat64',
  'toFloat32',
  'toInt128',
  'toInt32',
  'toInt8',
  'toUInt256',
  'toUInt64',
  'toDecimal32',
  'toUInt32',
  'toUInt8',
  'blockSize',
  'toUInt16',
  'isNotNull',
  'UUIDStringToNum',
  'roundDown',
  'trunc',
  'ceil',
  'roundBankers',
  'round',
  'regionToName',
  'regionIn',
  'toUUID',
  'regionToCountry',
  'regionToArea',
  'regionToCity',
  'cutQueryString',
  'wyHash64',
  'xxHash32',
  'gccMurmurHash',
  'murmurHash2_32',
  'javaHashUTF16LE',
  'javaHash',
  'URLHash',
  'intHash64',
  'intHash32',
  'metroHash64',
  'farmHash64',
  'farmFingerprint64',
  'sipHash128',
  'murmurHash3_128',
  'SHA384',
  'toInt8OrZero',
  'SHA1',
  'MD5',
  'halfMD5',
  'toDate32',
  'lowCardinalityIndices',
  'decrypt',
  'logTrace',
  'toInt16OrNull',
  'timeSlots',
  'asinh',
  'cutWWW',
  'cbrt',
  's2ToGeo',
  'sleepEachRow',
  'bitmaskToList',
  'bitPositionsToArray',
  'detectTonality',
  'subtractHours',
  'addDays',
  'toRelativeWeekNum',
  'makeDateTime64',
  'makeDateTime',
  'makeDate',
  'transactionLatestSnapshot',
  'transactionID',
  'extractGroups',
  '__bitWrapperFunc',
  'showCertificate',
  'stringToH3',
  'hashid',
  'h3EdgeLengthM',
  'radians',
  'bar',
  'ifNotFinite',
  'polygonAreaSpherical',
  'base58Encode',
  'toIntervalQuarter',
  'multiSearchAny',
  'bitmapContains',
  'bitmapHasAny',
  'bitmapXor',
  'bitmapOr',
  'bitmapAnd',
  'bitmapAndnotCardinality',
  'bitmapOrCardinality',
  'bitmapAndCardinality',
  'bitmapMin',
  'bitmapCardinality',
  'bitmapTransform',
  'bitmapSubsetLimit',
  'bitmapSubsetInRange',
  'bitmapToArray',
  'bitmapBuild',
  'extractTextFromHTML',
  'bitHammingDistance',
  'polygonsDistanceSpherical',
  'polygonsDistanceCartesian',
  'notEmpty',
  'dictGetHierarchy',
  'format',
  'fuzzBits',
  'assumeNotNull',
  'byteSize',
  'intExp2',
  'toUUIDOrZero',
  'h3GetUnidirectionalEdge',
  'getServerPort',
  'JSONHas',
  'runningDifference',
  'CRC32',
  'multiSearchFirstPositionUTF8',
  'addMilliseconds',
  'h3CellAreaM2',
  'runningDifferenceStartingWithFirstValue',
  'splitByRegexp',
  'rowNumberInBlock',
  'splitByString',
  'monthName',
  'aes_decrypt_mysql',
  'aes_encrypt_mysql',
  'h3EdgeLengthKm',
  'regionToDistrict',
  'unbin',
  'reinterpret',
  'modulo',
  'dictGetOrNull',
  'replaceOne',
  'emptyArrayInt16',
  'dictGetOrDefault',
  'dictGetFloat64OrDefault',
  's2RectAdd',
  'dictGetFloat32OrDefault',
  'dictGetInt64OrDefault',
  'today',
  'dictGetUInt32OrDefault',
  'h3IsPentagon',
  'dictGetUInt16OrDefault',
  'arrayIntersect',
  'dictGetUInt8OrDefault',
  'dictGetDescendants',
  'multiSearchFirstPosition',
  'dictGetDate',
  'dictGetInt32',
  'dictGetInt16',
  'dictGetUInt64',
  'dictGetUInt32',
  'enabledProfiles',
  'dictHas',
  'JSONExtractKeysAndValues',
  'replicate',
  'arrayCumSumNonNegative',
  'translateUTF8',
  'detectCharset',
  'reinterpretAsInt32',
  'dictGetFloat64',
  'arraySlice',
  'timezoneOf',
  'bitCount',
  'formatReadableTimeDelta',
  'geohashEncode',
  'atan2',
  'dictIsIn',
  'base64Encode',
  'wordShingleMinHash',
  'arrayDifference',
  'toUInt256OrNull',
  'arrayFirstOrNull',
  'ignore',
  'bitTest',
  'ngramSearchCaseInsensitiveUTF8',
  'bitmapMax',
  'h3GetOriginIndexFromUnidirectionalEdge',
  'ngramDistanceCaseInsensitiveUTF8',
  'ngramDistance',
  'acos',
  'accurateCastOrNull',
  'dictGetStringOrDefault',
  'ngramMinHashArg',
  '_CAST',
  'toDayOfYear',
  'bin',
  'bitSlice',
  'addSeconds',
  'JSONExtractKeys',
  'toDecimal128OrZero',
  'toInt16OrDefault',
  'extractURLParameters',
  'version',
  'joinGetOrNull',
  'JSONExtractArrayRaw',
  'toUInt16OrNull',
  'JSONExtractRaw',
  'tumbleStart',
  'bitShiftRight',
  'JSONExtract',
  'JSONExtractString',
  'SHA512',
  'JSONExtractFloat',
  'dictGetString',
  'arrayReduce',
  'JSONExtractUInt',
  'JSONKey',
  'JSONLength',
  'normalizedQueryHash',
  'bitTestAll',
  'ngramMinHash',
  'toMonth',
  'JSONExtractInt',
  'subtractMonths',
  'readWKTMultiPolygon',
  'subtractYears',
  'rand',
  'readWKTRing',
  'caseWithExpression',
  'wordShingleMinHashArg',
  'ngramMinHashArgUTF8',
  'ngramMinHashArgCaseInsensitive',
  'wordShingleMinHashUTF8',
  'ngramMinHashCaseInsensitiveUTF8',
  'formatRowNoNewline',
  'wordShingleSimHashCaseInsensitiveUTF8',
  'wordShingleSimHashUTF8',
  'arrayCumSum',
  'wordShingleSimHash',
  'finalizeAggregation',
  'ngramSimHashCaseInsensitiveUTF8',
  'emptyArrayUInt8',
  'dictGetUInt8',
  'ngramSimHashUTF8',
  'ngramSimHashCaseInsensitive',
  'ngramSimHash',
  'extractAll',
  's2CapContains',
  'identity',
  's2RectUnion',
  'ngramDistanceUTF8',
  'MD4',
  'moduloOrZero',
  'toTimezone',
  'mapContains',
  'char',
  'currentDatabase',
  'URLPathHierarchy',
  'h3GetUnidirectionalEdgesFromHexagon',
  'h3HexRing',
  'nullInIgnoreSet',
  'geoToS2',
  'blockSerializedSize',
  'dateTrunc',
  'generateUUIDv4',
  'tupleHammingDistance',
  'JSONExtractBool',
  'h3ExactEdgeLengthRads',
  'ngramSearchUTF8',
  'getTypeSerializationStreams',
  'minSampleSizeConversion',
  'jumpConsistentHash',
  'parseTimeDelta',
  'tuplePlus',
  'defaultValueOfTypeName',
  'MACNumToString',
  'revision',
  'formatReadableSize',
  'toNullable',
  'concat',
  'demangle',
  'arrayStringConcat',
  'splitByNonAlpha',
  'hasSubstr',
  'toUInt64OrDefault',
  '__bitBoolMaskAnd',
  'h3GetIndexesFromUnidirectionalEdge',
  'sipHash64',
  'catboostEvaluate',
  'divide',
  'ngramMinHashArgCaseInsensitiveUTF8',
  'endsWith',
  'arrayPushBack',
  'evalMLMethod',
  'emptyArrayInt32',
  'extract',
  'multiSearchFirstIndexCaseInsensitive',
  'rowNumberInAllBlocks',
  'addNanoseconds',
  'JSONType',
  'countDigits',
  'fromModifiedJulianDay',
  '__bitSwapLastTwo',
  'multiSearchFirstIndexUTF8',
  'lowCardinalityKeys',
  'ngramMinHashCaseInsensitive',
  'toInt64OrDefault',
  'toISOYear',
  'tryBase64Decode',
  'mapFilter',
  'toStartOfMinute',
  'LpNormalize',
  'tokens',
  'detectLanguage',
  'formatRow',
  'countMatchesCaseInsensitive',
  'atan',
  'range',
  'fromUnixTimestamp64Micro',
  'normalizeQuery',
  'arrayAvg',
  'degrees',
  'hopEnd',
  'hopStart',
  'hop',
  'toStartOfInterval',
  'tumble',
  'fromUnixTimestamp64Milli',
  'fromModifiedJulianDayOrNull',
  'shardCount',
  'shardNum',
  'toUnixTimestamp',
  'h3GetRes0Indexes',
  'upper',
  'greaterOrEquals',
  'toIntervalMonth',
  'defaultProfiles',
  'arrayReverse',
  'now64',
  'extractAllGroupsHorizontal',
  'h3ExactEdgeLengthKm',
  'arrayFilter',
  'defaultRoles',
  'toQuarter',
  'countMatches',
  'enabledRoles',
  'currentRoles',
  'dateTimeToSnowflake',
  'cutToFirstSignificantSubdomain',
  'encodeURLComponent',
  'wordShingleMinHashArgCaseInsensitiveUTF8',
  'h3GetResolution',
  'subtractQuarters',
  'ngramSearch',
  'lessOrEquals',
  'fromUnixTimestamp64Nano',
  'simpleJSONExtractUInt',
  'toDecimal64OrDefault',
  'ngrams',
  'domain',
  'toFloat32OrNull',
  'h3IndexesAreNeighbors',
  'addressToLineWithInlines',
  'tupleDivideByNumber',
  'caseWithoutExpression',
  'subtractMinutes',
  'h3Line',
  'reinterpretAsUInt8',
  'atanh',
  'arrayEnumerateUniqRanked',
  'CRC64',
  'erf',
  'trimBoth',
  'dictGetDateTime',
  'h3ToGeoBoundary',
  'multiSearchAnyUTF8',
  'mapApply',
  'IPv4StringToNum',
  'positionUTF8',
  'hasToken',
  'hypot',
  'currentUser',
  'protocol',
  'if',
  'toIntervalSecond',
  'kostikConsistentHash',
  'regionToContinent',
  'makeDate32',
  'ilike',
  'toUInt64OrZero',
  'dictGetUInt16',
  'globalNotNullInIgnoreSet',
  'h3GetUnidirectionalEdgeBoundary',
  'globalNullInIgnoreSet',
  'hasAll',
  'toTime',
  'globalNotInIgnoreSet',
  'splitByChar',
  'toRelativeDayNum',
  'notInIgnoreSet',
  'globalInIgnoreSet',
  'dictGetUUID',
  'inIgnoreSet',
  'arrayConcat',
  'globalNotNullIn',
  'notNullIn',
  'globalNullIn',
  'dateTime64ToSnowflake',
  'dictGetInt8OrDefault',
  'addressToLine',
  'globalNotIn',
  'arrayReverseFill',
  'ifNull',
  'normalizeQueryKeepNames',
  'xxHash64',
  'in',
  'connectionId',
  'ngramDistanceCaseInsensitive',
  'startsWith',
  'initialQueryID',
  'murmurHash2_64',
  'h3GetBaseCell',
  'bitmapHasAll',
  'base58Decode',
  'regionToTopContinent',
  'cityHash64',
  'intDiv',
  'intExp10',
  'log',
  'errorCodeToName',
  'randomFixedString',
  'substring',
  'tan',
  'toWeek',
  'toStartOfHour',
  'isDecimalOverflow',
  'encodeURLFormComponent',
  'getSizeOfEnumType',
  'detectLanguageMixed',
  'multiFuzzyMatchAnyIndex',
  'toDateTime64OrZero',
  'subtractSeconds',
  'tid',
  'snowflakeToDateTime64',
  'queryStringAndFragment',
  'subtractNanoseconds',
  'exp10',
  'toIPv6OrDefault',
  'arrayResize',
  'IPv6StringToNumOrNull',
  'throwIf',
  'IPv6NumToString',
  'toIPv4OrDefault',
  'emptyArrayDate',
  'CRC32IEEE',
  'IPv4NumToStringClassC',
  'IPv4NumToString',
  'IPv4CIDRToRange',
  'UUIDNumToString',
  'IPv4StringToNumOrDefault',
  'MACStringToNum',
  'toStartOfMicrosecond',
  'IPv4ToIPv6',
  'isNullable',
  'isZeroOrNull',
  'parseDateTime32BestEffortOrNull',
  'cutToFirstSignificantSubdomainWithWWW',
  'wordShingleSimHashCaseInsensitive',
  'bitXor',
  'lcm',
  'h3PointDistM',
  'lemmatize',
  'toYYYYMM',
  'arrayEnumerateDenseRanked',
  'h3HexAreaM2',
  'toYYYYMMDDhhmmss',
  'h3NumHexagons',
  'parseDateTime64BestEffortUSOrNull',
  'moduloLegacy',
  'reinterpretAsUUID',
  'simpleJSONExtractFloat',
  'toStartOfFiveMinutes',
  'reinterpretAsUInt128',
  'lgamma',
  'like',
  'log2',
  'LinfNormalize',
  'extractURLParameterNames',
  'arrayMax',
  'toUUIDOrDefault',
  'polygonsIntersectionCartesian',
  'polygonPerimeterSpherical',
  'toInt128OrDefault',
  'nullIn',
  'dictGetInt64',
  'IPv6StringToNum',
  'normalizeUTF8NFD',
  'leftPadUTF8',
  'toUInt8OrDefault',
  'filesystemFree',
  'SHA224',
  'h3kRing',
  'left',
  'asin',
  's2RectIntersection',
  'CAST',
  'mapContainsKeyLike',
  'regexpQuoteMeta',
  'notNullInIgnoreSet',
  'toIPv4',
  'mapValues',
  'toTypeName',
  'polygonsUnionCartesian',
  'toDateTime64OrNull',
  'regionHierarchy',
  'polygonsWithinCartesian',
  'materialize',
  'dictGetUUIDOrDefault',
  'proportionsZTest',
  'arrayZip',
  'upperUTF8',
  'multiSearchAnyCaseInsensitiveUTF8',
  'minSampleSizeContinous',
  'mapExtractKeyLike',
  'addWeeks',
  'rightPadUTF8',
  'uniqThetaIntersect',
  'cosh',
  'position',
  '__bitBoolMaskOr',
  'randomString',
  'normalizeUTF8NFKD',
  'sigmoid',
  'normalizeUTF8NFC',
  'multiSearchAllPositions',
  'partitionId',
  'roundToExp2',
  'toDecimal32OrDefault',
  'mapSubtract',
  'roundDuration',
  'toDate32OrDefault',
  'addMinutes',
  'arrayReverseSplit',
  'transactionOldestSnapshot',
  'dumpColumnStructure',
  'multiSearchFirstIndex',
  'multiSearchFirstIndexCaseInsensitiveUTF8',
  'positionCaseInsensitiveUTF8',
  'parseDateTime32BestEffortOrZero',
  'blockNumber',
  'rightUTF8',
  'cutURLParameter',
  'max2',
  'multiSearchFirstPositionCaseInsensitive',
  'indexOf',
  'addMicroseconds',
  'formatDateTime',
  'toInt8OrDefault',
  'joinGet',
  'windowID',
  'hasColumnInTable',
  'toRelativeHourNum',
  'arrayCount',
  'toDecimal128OrDefault',
  'geoToH3',
  'firstSignificantSubdomainCustom',
  'toUnixTimestamp64Milli',
  'simpleJSONExtractBool',
  'normalizeUTF8NFKC',
  'parseDateTimeBestEffortUSOrNull',
  'detectProgrammingLanguage',
  'neighbor',
  'arrayDistinct',
  'toFloat32OrDefault',
  'extractURLParameter',
  'zookeeperSessionUptime',
  'toMonday',
  'dictGetInt32OrDefault',
  'toYear',
  'toUInt256OrZero',
  'toStringCutToZero',
  'toUInt8OrZero',
  'not',
  'reinterpretAsInt8',
  'normalizedQueryHashKeepNames',
  'log10',
  'globalIn',
  'notILike',
  'lower',
  'geohashDecode',
  'toModifiedJulianDay',
  'notLike',
  'fragment',
  'match',
  'uptime',
  'dictGetDateTimeOrDefault',
  'greater',
  'toRelativeMonthNum',
  'emptyArrayString',
  'bitOr',
  'sleep',
  'arrayElement',
  'tgamma',
  'emptyArrayToSingle',
  'reinterpretAsInt128',
  'h3ToChildren',
  'toIPv4OrNull',
  'toUInt32OrDefault',
  'emptyArrayFloat32',
  'file',
  'MACStringToOUI',
  'roundAge',
  'toDecimal256OrDefault',
  'L2SquaredDistance',
  'emptyArrayInt64',
  'simpleJSONExtractString',
  'toUInt128',
  'emptyArrayUInt64',
  'h3EdgeAngle',
  'polygonPerimeterCartesian',
  'exp2',
  'concatAssumeInjective',
  'h3IsValid',
  'emptyArrayUInt32',
  'cutIPv6',
  'dotProduct',
  'emptyArrayUInt16',
  'toDateTimeOrZero',
  'nullIf',
  'decodeURLComponent',
  'bitAnd',
  'bitNot',
  'rightPad',
  'dictGetChildren',
  'toInt256OrDefault',
  'plus',
  'multiSearchAllPositionsCaseInsensitive',
  'randConstant',
  'DATE',
  'h3CellAreaRads2',
  'pointInEllipses',
  'splitByWhitespace',
  'toInt256OrZero',
  'pointInPolygon',
  'JSON_QUERY',
  'isIPv4String',
  'e',
  'polygonsSymDifferenceCartesian',
  'visibleWidth',
  'toStartOfWeek',
  'multiFuzzyMatchAny',
  'flattenTuple',
  'polygonsWithinSpherical',
  'timezoneOffset',
  'transform',
  'encodeXMLComponent',
  'h3Distance',
  'toInt16',
  'reverse',
  'L2Normalize',
  'pow',
  'positionCaseInsensitive',
  'acosh',
  'toRelativeMinuteNum',
  'toBool',
  'queryString',
  'initializeAggregation',
  'toDateTime64',
  'yesterday',
  'tuple',
  'toLastDayOfMonth',
  'randomPrintableASCII',
  'notEquals',
  'snowflakeToDateTime',
  'reinterpretAsDateTime',
  'caseWithExpr',
  's2CellsIntersect',
  'multiSearchAnyCaseInsensitive',
  's2GetNeighbors',
  'countSubstrings',
  'reinterpretAsFloat64',
  'arrayAll',
  'toIntervalDay',
  'reinterpretAsFloat32',
  'isIPv6String',
  'topLevelDomain',
  'greatest',
  'toStartOfMillisecond',
  'reinterpretAsInt64',
  'arrayLast',
  'getSetting',
  'toFloat64OrDefault',
  'reinterpretAsInt16',
  'and',
  'detectLanguageUnknown',
  'reinterpretAsUInt256',
  'nowInBlock',
  'reinterpretAsUInt64',
  'reinterpretAsUInt16',
  'fromUnixTimestamp',
  'multiSearchAllPositionsCaseInsensitiveUTF8',
  'isNull',
  'isNaN',
  'hasThreadFuzzer',
  'arrayAUC',
  'multiMatchAllIndices',
  'replaceRegexpAll',
  'timeSlot',
  'stem',
  'addMonths',
  'has',
  'subBitmap',
  'defaultValueOfArgumentType',
  'base64Decode',
  'replaceRegexpOne',
  'JSON_EXISTS',
  'isIPAddressInRange',
  'toSecond',
  'hiveHash',
  'randomStringUTF8',
  'arrayLastOrNull',
  'murmurHash3_64',
  'reverseUTF8',
  'toStartOfMonth',
  'toStartOfDay',
  'caseWithoutExpr',
  'floor',
  'bitTestAny',
  'addQuarters',
  'readWKTPolygon',
  'geohashesInBox',
  'equals',
  'cosineDistance',
  'right',
  'tupleMinus',
  'arrayEnumerate',
  'tupleNegate',
  'toRelativeQuarterNum',
  'exp',
  'dateName',
  'arrayFlatten',
  'toDate',
  's2RectContains',
  'polygonsSymDifferenceSpherical',
  'tanh',
  'dateDiff',
  'bitRotateRight',
  'arrayReverseSort',
  'hostName',
  'toUInt256OrDefault',
  'serverUUID',
  'reinterpretAsFixedString',
  'geoDistance',
  'alphaTokens',
  'negate',
  'arrayFirst',
  'h3UnidirectionalEdgeIsValid',
  'substringUTF8',
  'log1p',
  'accurateCastOrDefault',
  'toUnixTimestamp64Nano',
  'arrayLastIndex',
  'bitShiftLeft',
  'netloc',
  'meiliMatch',
  'parseDateTimeBestEffortUS',
  'mapPopulateSeries',
  'parseDateTime64BestEffortUS',
  'synonyms',
  'isFinite',
  'toDayOfWeek',
  'reinterpretAsString',
  'toValidUTF8',
  'abs',
  'arrayWithConstant',
  'toStartOfNanosecond',
  'toIntervalNanosecond',
  'SHA256',
  'LpDistance',
  'dictGetInt8',
  'isValidUTF8',
  'h3PointDistKm',
  'multiSearchAllPositionsUTF8',
  'toYearWeek',
  'toFixedString',
  'hasTokenCaseInsensitive',
  'toStartOfYear',
  'toDecimal256',
  'multiSearchFirstPositionCaseInsensitiveUTF8',
  'cutFragment',
  'arrayCompact',
  'toIntervalWeek',
  'toRelativeSecondNum',
  'replaceAll',
  'toModifiedJulianDayOrNull',
  'toRelativeYearNum',
  'translate',
  'trimRight',
  'runningConcurrency',
  'toDateOrDefault',
  'repeat',
  'emptyArrayInt8',
  'L2SquaredNorm',
  'less',
  'unhex',
  'toInt8OrNull',
  'regionToPopulation',
  'toStartOfISOYear',
  'map',
  'wordShingleMinHashCaseInsensitiveUTF8',
  's2CapUnion',
  'intDivOrZero',
  'toStartOfTenMinutes',
  'JSONExtractKeysAndValuesRaw',
  'multiMatchAnyIndex',
  'arrayEnumerateUniq',
  'bitmaskToArray',
  'min2',
  'length',
  'toHour',
  'toStartOfFifteenMinutes',
  'toYYYYMMDD',
  'h3IsResClassIII',
  'cutQueryStringAndFragment',
  'extractAllGroupsVertical',
  'isValidJSON',
  'pi',
  'wordShingleMinHashCaseInsensitive',
  'dictGetDateOrDefault',
  'dictGetUInt64OrDefault',
  'queryID',
  'path',
  'wordShingleMinHashArgCaseInsensitive',
  'subtractWeeks',
  'xor',
  'toInt256',
  'sign',
  'mapKeys',
  'tupleElement',
  'gcd',
  'toDayOfMonth',
  'addYears',
  'validateNestedArraySizes',
  'L1Distance',
  'filesystemAvailable',
  'reinterpretAsDate',
  'polygonAreaCartesian',
  'arrayUniq',
  'addHours',
  'getOSKernelVersion',
  'filesystemCapacity',
  'reinterpretAsUInt32',
  'tcpPort',
  'toColumnTypeName',
  'arrayMin',
  'LinfDistance',
  'multiply',
  'toDateTime32',
  'toIPv6',
  'arraySplit',
  'decodeURLFormComponent',
  'L2Distance',
  'toDateTimeOrDefault',
  'bitmapAndnot',
  'bitmapXorCardinality',
  'IPv6StringToNumOrDefault',
  'greatCircleDistance',
  'globalVariable',
  'uniqThetaNot',
  'pathFull',
  'port',
  'h3ToString',
  'LpNorm',
  'lowerUTF8',
  'isConstant',
  'parseDateTime64BestEffortOrNull',
  'coalesce',
  'basename',
  'L1Norm',
  'minus',
  'ngramMinHashUTF8',
  'sqrt',
  'bitRotateLeft',
  'toUInt16OrZero',
  'emptyArrayDateTime',
  'tupleMultiply',
  'cutToFirstSignificantSubdomainCustom',
  'dictGetInt16OrDefault',
  'simpleJSONExtractInt',
  'indexHint',
  'toMinute',
  'countSubstringsCaseInsensitive',
  'tupleToNameValuePairs',
  'tupleMultiplyByNumber',
  'appendTrailingCharIfAbsent',
  'simpleJSONExtractRaw',
  'arrayJoin',
  'simpleJSONHas',
  'countSubstringsCaseInsensitiveUTF8',
  'h3ExactEdgeLengthM',
  'tumbleEnd',
  'isInfinite',
  'toUInt32OrNull',
  'accurateCast',
  'toInt64',
  'wkt',
  'domainWithoutWWW',
  'arrayPushFront',
  'arrayFill',
  'erfc',
  'toIPv6OrNull',
  'cutToFirstSignificantSubdomainCustomWithWWW',
  'arraySort',
  'h3ToParent',
  'uniqThetaUnion',
  'readWKTPoint',
  'rand64',
  'firstSignificantSubdomain',
  'h3HexAreaKm2',
  'IPv4StringToNumOrNull',
  'formatReadableQuantity',
  'arrayPopBack',
  'L2Norm',
  'mapAdd',
  'toInt32OrDefault',
  'addressToSymbol',
  'subtractMicroseconds',
  'decodeXMLComponent',
  'svg',
  'toISOWeek',
  'reinterpretAsInt256',
  'hasAny',
  'toIntervalMicrosecond',
  'L1Normalize',
  'getMacro',
  'multiIf',
  'runningAccumulate',
  'ngramSearchCaseInsensitive',
  'h3ToCenterChild',
  'notIn',
  'URLHierarchy',
  'trimLeft',
  'lengthUTF8',
  'toUInt16OrDefault',
  'polygonsIntersectionSpherical',
  'arrayProduct',
  'greatCircleAngle',
  'sinh',
  'tupleDivide',
  'subtractMilliseconds',
  'arrayPopFront',
  'encrypt',
  'dictGetFloat32',
  'h3PointDistRads',
  'polygonsUnionSpherical',
  'arraySum',
  'sin',
  'convertCharset',
  'leftPad',
  'toDateTime64OrDefault',
  'multiFuzzyMatchAllIndices',
  'toStartOfSecond',
  'dictGet',
  'IPv6CIDRToRange',
  'cos',
  'mapUpdate',
  'currentProfiles',
  'buildId',
  'subtractDays',
  'hex',
  'h3ToGeo',
  'toDecimal256OrNull',
  'multiMatchAny',
  'arrayEnumerateDense',
  'murmurHash3_32',
  'polygonConvexHullCartesian',
  'h3GetDestinationIndexFromUnidirectionalEdge',
  'parseDateTimeBestEffortUSOrZero',
  'toInt32OrNull',
  'array',
  'least',
  'toLowCardinality',
  'emptyArrayFloat64',
  'LinfNorm',
  'wordShingleMinHashArgUTF8',
  'now',
  'leftUTF8',
  'countEqual',
  'or',
  'arrayExists',
  'toJSONString',
  'timezone',
  'arrayMap',
  'arrayFirstIndex',
  '__getScalar',
  'h3GetFaces',
  'toUnixTimestamp64Micro',
  'truncate',
  'MONTH',
  'toStartOfFiveMinute',
  'toTimeZone',
  'DATABASE',
  'DATE_TRUNC',
  'YEAR',
  'FROM_UNIXTIME',
  'yandexConsistentHash',
  'initial_query_id',
  'visitParamExtractUInt',
  'INET6_NTOA',
  'CHAR_LENGTH',
  'rand32',
  'rpad',
  'FROM_BASE64',
  'SECOND',
  'power',
  'yearweek',
  'visitParamExtractInt',
  'REGEXP_REPLACE',
  'mid',
  'timeZoneOf',
  'normalizeLp',
  'week',
  'DAYOFYEAR',
  'ceiling',
  'HOUR',
  'vectorDifference',
  'LAST_DAY',
  'extractAllGroups',
  'TO_BASE64',
  'substr',
  'visitParamExtractRaw',
  'flatten',
  'replace',
  'QUARTER',
  'DAYOFWEEK',
  'normalizeLinf',
  'timeZone',
  'MINUTE',
  'lpad',
  'normalizeL1',
  'CHARACTER_LENGTH',
  'visitParamExtractFloat',
  'distanceLinf',
  'locate',
  'DAYOFMONTH',
  'ln',
  'distanceLp',
  'INET6_ATON',
  'visitParamExtractString',
  'DAY',
  'normLp',
  'normLinf',
  'distanceL2Squared',
  'ucase',
  'INET_ATON',
  'distanceL1',
  'query_id',
  'normL2Squared',
  'scalarProduct',
  'connection_id',
  'mod',
  'visitParamHas',
  'distanceL2',
  'vectorSum',
  'normL2',
  'SVG',
  'INET_NTOA',
  'timeZoneOffset',
  'hostname',
  'normL1',
  'user',
  'lcase',
  'REGEXP_MATCHES',
  'visitParamExtractBool',
  'normalizeL2',
  'exponentialTimeDecayedCount',
  'exponentialTimeDecayedMax',
  'lagInFrame',
  'dense_rank',
  'rank',
  'exponentialMovingAverage',
  'sparkbar',
  'singleValueOrNull',
  'meanZTest',
  'studentTTest',
  'rankCorr',
  'aggThrow',
  'categoricalInformationValue',
  'groupArrayMovingAvg',
  'groupArrayMovingSum',
  'simpleLinearRegression',
  'entropy',
  'histogram',
  'mannWhitneyUTest',
  'maxIntersections',
  'groupBitmapXor',
  'groupBitmap',
  'contingency',
  'maxMappedArrays',
  'theilsU',
  'skewPop',
  'groupBitXor',
  'groupBitOr',
  'groupBitmapAnd',
  'exponentialTimeDecayedSum',
  'topKWeighted',
  'stochasticLinearRegression',
  'corr',
  'uniqCombined64',
  'cramersVBiasCorrected',
  'intervalLengthSum',
  'nothing',
  'uniqCombined',
  'quantileExactWeighted',
  'sumMapFilteredWithOverflow',
  'sumMapFiltered',
  'minMappedArrays',
  'sumMappedArrays',
  'quantiles',
  'sum',
  'covarPop',
  'row_number',
  'kurtPop',
  'kurtSamp',
  'cramersV',
  'skewSamp',
  'nonNegativeDerivative',
  'uniqExact',
  'sumMapWithOverflow',
  'stddevSamp',
  'varPop',
  'corrStable',
  'quantileTimingWeighted',
  'covarPopStable',
  'stddevSampStable',
  'varSamp',
  'topK',
  'last_value',
  'quantilesExact',
  'uniqHLL12',
  'quantileBFloat16',
  'uniq',
  'min',
  'sequenceNextNode',
  'quantilesTimingWeighted',
  'boundingRatio',
  'any',
  'anyLast',
  'deltaSum',
  'retention',
  'sequenceMatch',
  'uniqUpTo',
  'windowFunnel',
  'deltaSumTimestamp',
  'varSampStable',
  'uniqTheta',
  'quantilesExactWeighted',
  'max',
  'quantilesBFloat16Weighted',
  'quantileBFloat16Weighted',
  'sumKahan',
  'quantilesTDigestWeighted',
  'groupBitAnd',
  'quantileTDigest',
  'quantileTDigestWeighted',
  'nth_value',
  'argMax',
  'quantileDeterministic',
  'quantilesTDigest',
  'stochasticLogisticRegression',
  'argMin',
  'avg',
  'covarSampStable',
  'quantilesTiming',
  'welchTTest',
  'covarSamp',
  'varPopStable',
  'quantileTiming',
  'leadInFrame',
  'quantilesExactExclusive',
  'quantileExactInclusive',
  'quantileExactHigh',
  'groupArraySample',
  'quantilesExactLow',
  'groupUniqArray',
  'quantileExact',
  'sumCount',
  'groupArrayInsertAt',
  'quantilesExactHigh',
  'sumWithOverflow',
  'sequenceCount',
  'quantilesDeterministic',
  'groupArray',
  'anyHeavy',
  'stddevPop',
  'first_value',
  'exponentialTimeDecayedAvg',
  'quantileExactExclusive',
  'groupBitmapOr',
  'quantile',
  'count',
  'maxIntersectionsPosition',
  'quantilesBFloat16',
  'quantilesExactInclusive',
  'stddevPopStable',
  'quantileExactLow',
  'avgWeighted',
  'BIT_AND',
  'VAR_SAMP',
  'COVAR_SAMP',
  'VAR_POP',
  'medianTDigest',
  'medianBFloat16',
  'medianTimingWeighted',
  'medianTiming',
  'medianExactHigh',
  'BIT_OR',
  'medianDeterministic',
  'STDDEV_POP',
  'STDDEV_SAMP',
  'medianExactLow',
  'BIT_XOR',
  'median',
  'COVAR_POP',
  'medianBFloat16Weighted',
  'medianExactWeighted',
  'medianTDigestWeighted',
  'medianExact'
];

export default {
  builtinFunctions
}
